<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- Declaración de datos  -->
	<form-beans>	
		<form-bean name="formMenu" type="es.ejie.frmk.presentacion.operacion.datos.Q70OPForm">	
			<form-property name="w83OpcionMenu" type="java.lang.String" />			   		
			<form-property name="boton" type="java.lang.String" />
		</form-bean>
		
		<form-bean name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
			<form-property name="boton" type="java.lang.String" />
			<form-property name="strTitleKeyPpal" type="java.lang.String" initial="aplicacion.titulo"/>	
			<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.inicio"/>	
			<form-property name="confirm" type="java.lang.String" />
						   
			<form-property name="migas" type="java.lang.String" initial ="inicio"/>			   
			
			<form-property name="w83bpcionMenu" type="java.lang.String" />
				
			<form-property name="actionAfterExtraLogin" type="java.lang.String" />	
		</form-bean>					
	</form-beans>

	<!-- Pasos de Operacion de Presentacion -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
	
				<action path="/w83berrorUserNoPermitido" forward="paginaBienvenidaUserNoPermitido"></action>
				<action path="/w83berrorSesionCaducada" forward="paginaBienvenidaSesionCaducada"></action>
	
		<action path="/w83bPaginaBienvenida" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bAccesoAplicacionOPAction">
			<forward name="ok" path="/w83bPaginaBienvenidaOI.do"/>
			<forward name="noPermitido" path="/w83berrorUserNoPermitido.do"/>
		</action>	
		
		<action
				path ="/w83bInicioAplicacion" forward="paginaBienvenida"/>
		<action
				path ="/w83bVueltaRefrescarRegistroAutomaticoUsuarioDelegacion" forward="paginaBienvenida"/>
		<action
				path ="/w83bInicioUtilidades" forward="paginaInicioUtilidadesComun"/>
				
				
		<action path ="/w83bPaginaBienvenidaOI" 
			 parameter="w83bDatosUsuarioOI" 
			 validate="false" 
			 input="paginaBienvenida" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="paginaBienvenida" />
					<forward name="error" path="paginaBienvenida" />
		</action>
		
<!--		OJO!!!!, A ESTA OI SOLO SE DEBERÍA IR DESDE EL FILTRO DE SEGURIDAD, PARA -->
<!--		EN CASO DE QUE LA APLICACIÓN LLEGUE AL STRUTS COMUN REFRESQUE EL REG AUTOMATICO 
			POR ESO EL FORWARD DE LA OI VUELVE A SI MISMA, PARA QUE LO RECOJA EL FILTRO 
			Y NAVEGUE A DONDE TENDRÍA QUE HABER IDO AL HABER NAVEGADO EL FILTRO AQUÍ-->				
		<action path ="/w83bRefrescarRegistroAutomaticoUsuarioDelegacion" 
			 parameter="w83bRefrescarRegistroAutomaticoUsuarioDelegacionOI" 
			 validate="false" 
			 input="paginaBienvenida" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bVueltaRefrescarRegistroAutomaticoUsuarioDelegacion.do" />
					<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		
		<action path="/w83bCambiarIdioma" scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bCambiarIdiomaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAplicacion.do"/>
		</action>
 		
		<action path="/w83bInicioAgrupaciones" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/agrupacionesOP/w83bInicioBusquedaAgrupacionesMenu.do">
		</action> 
		<action path="/w83bInicioConvenios" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/conveniosOP/w83bInicioBusquedaConveniosMenu.do">
		</action> 
  		<action path="/w83bInicioEmpresas" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/empresasOP/w83bInicioBusquedaEmpresasMenu.do">
		</action> 
		<action path="/w83bInicioPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/preavisosOP/w83bPreavisos.do">
		</action> 
		<action path="/w83bInicioBandejaEntrada" 
			type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		parameter="$$$WEBROOT_W83B$$$/bandejaEntradaOP/w83bBusquedaBandejaEntrada.do">
		</action>
		<action path="/w83bInicioBusquedaPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/preavisosOP/w83bInicioBusquedaPreavisos.do">
		</action> 
		<action path="/w83bInicioNuevoPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/preavisosOP/w83bInicioNuevoPreavisos.do">
		</action> 
		<action path="/w83bIrABusquedaImpugnacionesOP" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/impugnacionesOP/w83bIrABusquedaImpugnacionesOP.do">
		</action> 
		<action path="/w83bInicioNuevoImpugnaciones" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/impugnacionesOP/w83bInicioNuevoImpugnaciones.do">
		</action> 
		<action path="/w83bIrABusquedaCitacionesOP" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/citacionesOP/w83bIrABusquedaCitacionesOP.do">
		</action> 
		<action path="/w83bInicioNuevoCitaciones" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/citacionesOP/w83bInicioNuevoCitaciones.do">
		</action> 
		<action path="/w83bInicioBusquedaActas" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/actasOP/w83bIrABusquedaActasOP.do">
		</action> 
		<action path="/w83bInicioNuevaActa" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/actasOP/w83bInicioNuevaActa.do">
		</action> 
		<action path="/w83bTablaActasIraNuevo" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/actasOP/w83bTablaActasIraNuevo.do">
		</action> 
		<action path="/w83bInicioRegistroDefinitivo" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/registroDefinitivoOP/w83bInicioRegistroDefinitivo.do">
		</action> 
	
		<action path="/w83bInicioTiposVoces" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/tiposVocesOP/w83bInicioBusquedaTiposVocesMenu.do">
		</action>
		<action path="/w83bInicioBusquedaIncidencias" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/incidenciasOP/w83bIrABusquedaIncidenciasOP.do">
		</action> 
		
		<action path="/w83bInicioBusquedaIncidencias" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/incidenciasOP/w83bIrABusquedaIncidenciasOP.do">
		</action> 
		<action path="/w83bIrANuevaIncidenciasMenuOP" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/incidenciasOP/w83bIrANuevaIncidenciasMenuOP.do">
		</action> 
		<action path="/w83bInicioCuadroResumenResultados" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioCuadroResumenResultados.do">
		</action>
		<action path="/w83bInicioResCentroSind" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioResCentroSind.do">
		</action>
		<action path="/w83bInicioResSexo" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioResSexo.do">
		</action>
		<action path="/w83bInicioDelegadosCNAE" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioDelegadosCNAE.do">
		</action>
		 <action path="/w83bListadoEmpresaVariosPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/informesOP/w83bListadoEmpresaVariosPreavisos.do">
		</action>
		
		<action path="/w83bListadoLibroRegistroPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/informesOP/w83bListadoLibroRegistroPreavisos.do">
		</action>
		
		<action path="/w83bListadoRelacionAlfabPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/informesOP/w83bListadoRelacionAlfabPreavisos.do">
		</action>
		
		<action path="/w83bInicioCierre" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/cierreOP/w83bInicioCierre.do">
		</action>
		
		<action path="/w83bInicioDelegadosConvenio" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioDelegadosConvenio.do">
		</action>
		<action path="/w83bInicioRepresentantesCandTamEmp" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioRepresentantesCandTamEmp.do">
		</action>
		<action path="/w83bInicioDiferenciasPorConvenio" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioDiferenciasPorConvenio.do">
		</action>
		<action path="/w83bInicioResulPorEscrutinio" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioResulPorEscrutinio.do">
		</action>
		<action path="/w83bInicioResulPorSectorSindicato" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioResulPorSectorSindicato.do">
		</action>
		<action path="/w83bInicioDelegAgrupConv" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/resultadosOP/w83bInicioDelegAgrupConv.do">
		</action>
		<action path="/w83bComEmpresa" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunicActasOP/w83bComEmpresa.do">
		</action>
		<action path="/w83bRequeMesa" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunicActasOP/w83bRequeMesa.do">
		</action>
		<action path="/w83bResolDenegatorias" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunicActasOP/w83bResolDenegatorias.do">
		</action>
		<action path="/w83bExtracDatos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunicImpugLaudosOP/w83bExtracDatos.do">
		</action>
		<action path="/w83bImpugResueltas" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunicImpugLaudosOP/w83bImpugResueltas.do">
		</action>
		<action path="/w83bLaudosResueltos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunicImpugLaudosOP/w83bLaudosResueltos.do">
		</action>
		<action path="/w83bIncidenciasCom" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunicIncidenciasOP/w83bInicioIncidencias.do">
		</action>
	</action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
		
	<!-- Menus -->	
</struts-config>